Skip to main content
POST
/
v2
/
salesinvoicecorrection
/
cancel
Cancel a sales invoice correction
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/salesinvoicecorrection/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "salesInvoiceCorrectionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "cancellationReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "cancellationComment": "<string>"
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Body

application/json

Request parameters

Cancel a sales invoice correction - Request

salesInvoiceCorrectionId
string<uuid>

The ID of the sales invoice correction to cancel.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

cancellationReasonId
string<uuid>

The reason for cancelling the sales invoice correction.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

cancellationComment
string

An optional comment explaining the cancellation.

Response

204 - application/json

Sales invoice correction cancelled successfully